name:		docbook-style-dsssl
version:	1.79
release:	%mkrel 21
Group:		Publishing
Summary:	Norman Walsh's modular stylesheets for DocBook
License:	Artistic style
URL:		https://sourceforge.net/projects/docbook/
Requires:	sgml-common >= 0.2
Requires:	jade >= 1.2.1
Requires:	docbook-dtds
Source0:	https://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{version}.tar.bz2
Source1:    %{name}.Makefile
BuildArch:	noarch
Requires(post): sgml-common
Requires(preun): sgml-common

%description
These DSSSL stylesheets allow you to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.


%prep
%setup -q -n docbook-dsssl-%{version}
cp %{SOURCE1} Makefile

%build

%install
make install \
    BINDIR=%{buildroot}/usr/bin \
    DESTDIR=%{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version} \
    MANDIR=%{buildroot}%{_mandir}
cd ..
ln -s dsssl-stylesheets-%{version} %{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets

%post
for centralized in %{_sysconfdir}/sgml/*-docbook-*.cat; do
     %{_bindir}/install-catalog --add $centralized \
         %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog \
         > /dev/null 2>/dev/null
done

%preun 
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    for centralized in %{_sysconfdir}/sgml/*-docbook-*.cat; do
        %{_bindir}/install-catalog --remove $centralized \
            %{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}/catalog \
            > /dev/null 2>/dev/null
     done 
fi

%files
%doc BUGS README RELEASE-NOTES.* VERSION
%doc ChangeLog WhatsNew
%{_bindir}/collateindex.pl
%{_mandir}/man1/collateindex.pl.1*
%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}
%{_datadir}/sgml/docbook/dsssl-stylesheets


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.79-21.mga10
+ Revision: 2202539
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.79-20.mga9
+ Revision: 1807852
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.79-19.mga8
+ Revision: 1501364
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.79-18.mga7
+ Revision: 1278036
- Mageia 7 Mass Rebuild

* Thu Sep 07 2017 guillomovitch <guillomovitch> 1.79-17.mga7
+ Revision: 1151812
- sync with fedora package

* Mon Feb 08 2016 umeabot <umeabot> 1.79-16.mga6
+ Revision: 945549
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.79-15.mga5
+ Revision: 748423
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.79-14.mga5
+ Revision: 678784
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.79-13.mga4
+ Revision: 503924
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.79-12.mga3
+ Revision: 349045
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 rtp <rtp> 1.79-11.mga3
+ Revision: 330485
- fix file attributes

* Sat Jan 08 2011 blino <blino> 1.79-10.mga1
+ Revision: 792
- imported package docbook-style-dsssl


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.79-10mdv2011.0
+ Revision: 604807
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.79-9mdv2010.1
+ Revision: 520692
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.79-8mdv2010.0
+ Revision: 413370
- rebuild

* Sat Mar 21 2009 Funda Wang <fwang@mandriva.org> 1.79-7mdv2009.1
+ Revision: 359903
- fix patch num

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.79-7mdv2009.0
+ Revision: 220675
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.79-6mdv2008.1
+ Revision: 149204
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 1.79-5mdv2008.0
+ Revision: 64211
- rebuild

* Sat Apr 28 2007 Adam Williamson <awilliamson@mandriva.org> 1.79-4mdv2008.0
+ Revision: 18847
- clean spec; rebuild for new era


* Tue Mar 21 2006 Camille Begnis <camille@mandriva.com> 1.79-3mdk
- rebuild

* Fri Feb 11 2005 Camille Begnis <camille@mandrakesoft.com> 1.79-2mdk
- fix circular link [Bug 13511]
- fix license and summary

* Fri Nov 05 2004 Camille Begnis <camille@mandrakesoft.com> 1.79-1mdk
- 1.79

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.78-6mdk
- Don't output error when xmlcatalog is no longer present when uninstalling

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.78-5mdk
- Fix install when more than one dtd package is installed

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.78-4mdk
- Fix install when no sgml dtd package is installed

* Tue May 13 2003 <camille@ke.mandrakesoft.com> 1.78-3mdk
- Added a patch to remove unsupported DTDDECL entry in catalog
- removed unneeded 'Requires: docbook-dtd-sgml'

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.78-2mdk
- Remove xml-docbook-*.cat wrongly created

